--- rtp.c.orig	2007-01-24 16:24:44.000000000 +0300
+++ rtp.c	2007-01-25 13:41:46.966278844 +0300
@@ -465,11 +465,6 @@
 		return &null_frame;
 	}
 
-	/* Ignore if the other side hasn't been given an address
-	   yet.  */
-	if (!rtp->them.sin_addr.s_addr || !rtp->them.sin_port)
-		return &null_frame;
-
 	if (rtp->nat) {
 		/* Send to whoever sent to us */
 		if ((rtp->them.sin_addr.s_addr != sin.sin_addr.s_addr) ||
@@ -482,6 +477,11 @@
 		}
 	}
 
+	/* Ignore if the other side hasn't been given an address
+	   yet.  */
+	if (!rtp->them.sin_addr.s_addr || !rtp->them.sin_port)
+		return &null_frame;
+
 	/* Get fields */
 	seqno = ntohl(rtpheader[0]);
 
